{% extends 'base.html' %}
{% block title %}
    List of students
{% endblock %}

{% block content %}
    <table class="table caption-top">
    <thead>
    <tr>
        <th>FirstName</th>
        <th>LastName</th>
        <th>Age</th>
        <th>actions</th>
    </tr>
    </thead>
    <tbody>
    {% for student in all_students %}
    <tr>
        <td>{{student.first_name}}</td>
        <td>{{student.last_name}}</td>
        <td>{{student.age}}</td>
        <td><a href="{% url 'update-student' student.id %}">Edit</a>
            <a href="{% url 'delete-student' student.id %}">Delete</a>
            <a href="{% url 'detail-student' student.id %}">Details</a>
        </td>
    </tr>
    {% endfor %}
    </tbody>
    </table>

    <a href="{% url 'create_new_student' %}"> Add a new student </a>

{% endblock %}